Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/5901/?format=api
{ "ob_id": 5901, "uuid": "20959cc60f1dda630df224d73e7b5d8c", "title": "Stratospheric Aerosol Measurement II (SAM II): Polar Arctic and Antarctic Aerosol Extinction Profiles", "abstract": "The SAM II instrument, aboard the Earth-orbiting Nimbus 7 spacecraft, was designed to measure solar irradiance attenuated by aerosol particles in the Arctic and Antarctic stratosphere. \r\n\r\nThis dataset collection contains 14 years of polar Arctic and Antarctic aerosol extinction profiles, atmospheric temperature and pressure data obtained from the Stratospheric Aerosol Instrument II (SAM II) on the NIMBUS 7 satellite. ", "keywords": "SAM II, aerosol, polar, temperature, pressure ", "publicationState": "published", "dataPublishedTime": "2007-02-06T00:35:52", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/5902/?format=api", "dataPath": "/badc/CDs/sam2/SAM2DATA", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 496200627, "numberOfFiles": 362, "fileFormat": "Data are ASCII formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1725/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/130/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25388/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25890/?format=api" ], "dataLineage": "Data obtained from the Stratospheric Aerosol Instrument II (SAM II) on the NIMBUS 7 satellite. Data collected and prepared by NASA and published on CD-ROM. BADC obtained a copy to make available in the BADC archives to assist users wishing to access these data.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3838/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/456/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5900/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25148/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25152/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25155/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25147/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25146/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25149/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25150/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25151/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25153/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/25154/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/5904/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2528/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://creativecommons.org/licenses/by/4.0/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }